# Extension STAR-DT pour FME

Le projet Writers STAR-DT, permettant l'écriture des données STAR-DT dans le format GML, nécessite un minimum de connaissances dans l'utilisation du logiciel FME.

Le produit Writers STAR-DT correspond dans FME à 25 Transformers personnalisés. Chaque Transformer personnalisé est associé à une classe du standard STAR-DT.

Deux autres Transformers personnalisés utilitaires sont aussi inclus. Le premier sert à la gestion des géométries au sein des 25 précédents. Il n'a pas pour vocation d'être utilisé autrement. Le second doit être présent en fin de traitement, il permet le regroupement et la mise en forme des divers résultats provenant des Transformers personnalisés

## Prérequis

**Version FME**

La version minimale de FME à utiliser est la "2019.0".

**Limitations**

Actuellement, seules les données vectorielles sont supportées par STAR-DT pour FME et il n'est possible de générer qu'une emprise par document GML.

## Installation

**Installation de l'extension STAR-DT pour FME Desktop**

Suite à l'installation de l'extension STAR-DT pour FME, vous disposerez de vingt-cinq de Transformers supplémentaires correspondant aux classes du STAR-DT.

Ces Transformers sont regroupés dans la catégorie STAR-DT de la galerie des Transformers de FME et commencent tous par le préfixe STAR-DT_. Il vous suffit donc de taper ces lettres dans l'espace de travail de FME Workbench pour en obtenir la liste et pouvoir sélectionner le Transformer de votre choix.

**Licence STAR-DT pour FME**

L'extension STAR-DT_ pour FME est protégée par un fichier de licence.
Vous pouvez effectuer une demande de licence auprès de codes@veremes.com en fournissant votre code machine/registration key (n° à 10 chiffres visible dans l'utilitaire FME Licensing Assistant).

En l'absence de fichier de licence, les Transformers fonctionnent correctement mais ne laissent passer que 20 entités par classe et 500 au total.

**Installation de l'extension STAR-DT pour FME Server**

- Installer les Transformers personnalisés de l'extension STAR-DT dans les ressources FME Server.

L'exécution de l'installeur STAR-DT donne accès aux Transformers personnalisés de l'extension STAR-DT. Ces Transformers doivent être publiés sur FME Server afin qu'un projet FME les utilisant puisse être fonctionnel. Pour cela, il faut se rendre dans les Ressources à partir de l'interface FME Server et "Uploader" les Transformers STAR-DT à l'emplacement suivant : Manage > Resources > Engine > Transformers (un simple glisser/déposer permet de charger les Transformers).

- Activation du fichier de licence STAR-DT

Déposer le fichier de licence STAR-DT (star-dt_pour_fme.3rdlic) dans le répertoire de licences FME de l'installation FME Server (ex : C:\Program Files\FMEServer\Server\fme\licenses).

Pour installer l'extension STAR-DT sous Linux, merci de contacter notre support technique pour recevoir les ressources nécessaires à son installation (Mail : support.veremes.com - Téléphone : +33 (0)4 68 38 65 27).